## aptoncd 0.1

=== Makefile ===
PO = ca de el en en_GB es fa fr hi hr it nb nl pl pt pt_BR ro ru sv tr uk zh_CN

PREFIX ?= /usr

all: check po-data
	@echo "Done"
	@echo "Type: make install now"

check:
	@/bin/echo -n "Checking for Python... "
	@which python || ( echo "Not found." && /bin/false )

clean:
	find . -type f -iregex '.*~$$'  -print | xargs rm -rf
	find . -type d -iregex '.*\.svn$$'  -print | xargs rm -rf
	find . -type f -iregex '.*\.pyc$$'  -print | xargs rm -rf
	find . -type f -iregex '.*\.gladep$$'  -print | xargs rm -rf
	find . -type f -iregex '.*\.bak$$'  -print | xargs rm -rf

make-install-dirs: make-install-dirs-po

	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/aptoncd
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/gnome/help/aptoncd/C
	mkdir -p $(DESTDIR)$(PREFIX)/share/locale

make-install-dirs-po:
	for lang in $(PO); do mkdir -p $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES; done

install: make-install-dirs install-po
	install -m 644 *.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 aptoncd.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 config.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 HalManager.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 CreateAptOncd.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 msg.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 restore.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 metaPackage.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 mediaInfo.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 utils.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 parsegz.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 xmlfile.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 configDownload.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 DownloadGUI.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 RepDownload.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 download.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 PackageInfo.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 PackagesParser.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 MediaSplitter.py $(DESTDIR)$(PREFIX)/share/aptoncd

	install -m 644 pixmaps/16.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/aptoncd.png
	install -m 644 pixmaps/32.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/aptoncd.png
	install -m 644 pixmaps/48.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/aptoncd.png
	install -m 644 pixmaps/64.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps/aptoncd.png
	install -m 644 pixmaps/128.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/aptoncd.png	
	install -m 644 doc/C/* $(DESTDIR)$(PREFIX)/share/gnome/help/aptoncd/C
	install -m 644 aptoncd.glade $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 644 *.xml $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 644 aptoncd*.png $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 644 aptoncd.desktop $(DESTDIR)$(PREFIX)/share/applications/

	sed 's/aptoncd.glade/\/usr\/share\/aptoncd\/aptoncd.glade/' $(DESTDIR)$(PREFIX)/share/aptoncd/config.py > $(DESTDIR)$(PREFIX)/share/aptoncd/config
	sed 's/content.xml/\/usr\/share\/aptoncd\/content.xml/' $(DESTDIR)$(PREFIX)/share/aptoncd/config > $(DESTDIR)$(PREFIX)/share/aptoncd/config.py
	sed 's/locale/\/usr\/share\/locale/' $(DESTDIR)$(PREFIX)/share/aptoncd/config.py > $(DESTDIR)$(PREFIX)/share/aptoncd/config
	sed 's/doc\/C\/index.xml/\/usr\/share\/gnome\/help\/aptoncd\/C\/index.xml/' $(DESTDIR)$(PREFIX)/share/aptoncd/config > $(DESTDIR)$(PREFIX)/share/aptoncd/config.py
	rm $(DESTDIR)$(PREFIX)/share/aptoncd/config 

	cd $(DESTDIR)$(PREFIX)/bin && \
	ln -sf ../share/aptoncd/aptoncd.py aptoncd && \
	chmod 755 aptoncd
		
install-po:
	for lang in $(PO); do install -m 644 locale/$$lang/LC_MESSAGES/* $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/; done

po-dir:
	for lang in $(PO); do mkdir -p locale/$$lang/LC_MESSAGES/ ;done

po-data: po-dir
	for lang in $(PO); do msgfmt locale/$$lang.po -o locale/$$lang/LC_MESSAGES/aptoncd.mo;done

po-gen:
	intltool-extract --type=gettext/glade aptoncd.glade
	xgettext -k_ -kN_ -o locale/messages.pot *.py *.h
	for lang in $(PO); do msgmerge -U locale/$$lang.po locale/aptoncd.pot; done

## aptoncd 0.1.98%2Bbzr117

=== data/Makefile ===

DOMAIN=aptoncd
DESKTOP_IN_FILES := $(wildcard *.desktop.in)
DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

all: $(DESKTOP_FILES)

%.desktop: %.desktop.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

=== po/Makefile ===

DOMAIN=aptoncd
PO_FILES := $(wildcard *.po)
CONTACT=cypherbios@gmail.com

all: update-po

top_srcdir=../

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN); 

# create mo from the POs
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/control ===
Source: aptoncd
Section: admin
Priority: extra
Maintainer: Fabrice Coutadeur <coutadeurf@gmail.com>
Build-Depends: debhelper (>= 5.0.51~)
Build-Depends-Indep: python-distutils-extra, python-all (>= 2.6.6-3~)
Standards-Version: 3.8.4
Homepage: http://aptoncd.sourceforge.net

Package: aptoncd
Architecture: all
Recommends: k3b | brasero, yelp
Suggests: update-notifier, gdebi
Depends: ${python:Depends}, libgnomevfs2-0, genisoimage, apt-utils, synaptic (>= 0.57.7), python-gnome2, python-apt (>= 0.7.93), python-glade2, python-dbus, lsb-release, gksu, python-gtk2, gnome-icon-theme, ${misc:Depends}
Description: Installation disc creator for packages downloaded via APT
 APT removable repository creator and package backup tool for Debian based
 systems.
 .
 This tool will allow you to create a media (CD or DVD) to use to install
 software via APT in a non-connected machine, as well upgrade and install
 the same set of softwares in several machines with no need to re-download
 the packages again.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/python/python.mk

#export DH_VERBOSE=1
CFLAGS = -Wall -g
PYVERS=$(shell pyversions -vr)

UPSTREAM_VERSION=`dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -d+ -f 1`
ORIG_URI = lp:~aptoncd-team/aptoncd/main
REVISION=`bzr version-info $(ORIG_URI)| grep '^revno' | cut -d' ' -f 2`

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: $(PYVERS:%=build-python%)
build-python%:
	dh_testdir
	python$* setup.py build

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp build-python*

	rm -rf build
	find . -name ".svn" -exec rm -fr {} \;
	find . -name "*.pyc" -exec rm {} \;
	rm -rf po/mo

	dh_clean 

install-python%:
	python$* ./setup.py install --prefix=$(CURDIR)/debian/aptoncd/usr $(py_setup_install_args)

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	cd $(CURDIR)/po; make update-po
	$(MAKE) -f debian/rules $(PYVERS:%=install-python%)
	# Delete empty directories
	rm -rf $(CURDIR)/debian/aptoncd/usr/share/help/*/aptoncd/figures/
	
binary-indep: build install
	dh_icons
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs #No value in installing the upstream changelog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

get-orig-source:
	bzr export --quiet --format tgz aptoncd_$(UPSTREAM_VERSION)+bzr$(REVISION).orig.tar.gz $(ORIG_URI)

.PHONY: build clean binary-indep binary-arch binary install configure

## aptoncd 0.1.98+bzr117

=== debian/changelog ===
aptoncd (0.1.98+bzr117-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * No change: Rebuild with python >= 2.6

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 25 Jun 2010 18:25:53 +0000

aptoncd (0.1.98+bzr117-1) unstable; urgency=low

  * New upstream release.
    - Using a better theme color to show old packages.
    - Updated for python-apt 0.8 API (Closes: #572076)
    - Also fix the "gtk.HBox has no attribute" crash (Closes: #581645)
  * debian/rules:
    - updated the get-orig-source target to delete the +bzr part of the version.
    - Deletes empty directory before they go into the deb
    - deleted unused REPOS_VERSION variable
  * Switch to dpkg-source 3.0 (quilt) format
  * fix-desktop-file.patch: Convert direct changes to data/aptoncd.desktop.in
    to a patch and fix another validation warning in Categories
  * debian/control: 
    - Bump standard-versions to 3.8.4. No changes required.
    - Changed build-dependency on python-all-dev to python-all
  * Deleted useless debian/dirs file
  * debian/docs: do not install empty README file.

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Fri, 14 May 2010 19:28:39 +0200

aptoncd (0.1.98+bzr115-0ubuntu1) lucid; urgency=low

  * New upstream release.
    - Fix for "aptoncd crashed with KeyError in create_aptoncd()" (LP: #214353)
    - Fix for "aptoncd crashed with AttributeError in __init__()" (LP: #509312)
    - Fix LP: #475289 that not umount the iso file after restore.
  * debian/control:
    - bump standard-versions to 3.8.3. No changes required.
    - Added misc:Depends as dependency to avoid a lintian warning

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 02 Feb 2010 05:58:53 +0000

aptoncd (0.1.98+bzr112-1) unstable; urgency=low

  * New upstream release
    - Deliver again the translations
  * debian/rules: optimize the clean target

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Mon, 24 Aug 2009 09:56:20 +0000

aptoncd (0.1.98+bzr110-1) unstable; urgency=low

  * New maintainer (Closes: #542459, #484637, #542501)
  * New upstream release
    - Fix the executable flag on non executable files. This fix last lintian
      warnings
  * debian/rules: prepared for python2.6 (include of python.mk and use of 
    $(py_setup_install_args) )

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Wed, 19 Aug 2009 21:41:06 +0200

aptoncd (0.1.98+bzr109-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (Closes: #452205, #423480, #433915, #541047, #427003,
    #493647, #484636)
  * debian/control: 
    - Changed python build dependencies to Build-Depends-Indep
    - Moved url from Description to Homepage
    - Changed Standards-Version to 3.8.2
    - Changed Maintainer to myself
    - Deleted dependency on deprecated mkisofs 
    - Deleted recommend of nautilus-cd-burner
  * debian/copyright: Changed (C) to © to make lintian happy
  * debian/rules: 
    - deleted deprecated dh_desktop
    - added get-orig-source target to get the latest source from lp
  * data/aptoncd.desktop.in: Fixed error and deprecated values in Desktop file

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Mon, 17 Aug 2009 22:04:26 +0200

aptoncd (0.1.98-0ubuntu4) intrepid; urgency=low

  * Fix for the bug (LP: #272509);
  * Making APTonCD cosume less memory.

 -- Laudeci Oliveira <laudeci@ubuntu.com>  Mon, 12 Oct 2008 20:43:17 -0300

aptoncd (0.1.98-0ubuntu3) intrepid; urgency=low

  [ Kjell Braden ]
  * APTonCD/core/scanpkgs.py: fix creation of package index by reading
    everything apt-ftparchive tells us (LP: #159721)

  [ Scott Kitterman ]
  * Version build-dep on dephelper to (>= 5.0.51~) due to dh_icons

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Sep 2008 09:09:05 -0400

aptoncd (0.1.98-0ubuntu2) intrepid; urgency=low

  * APTonCD/core/dbus_helper.py: fix dbus 1.1.20 interface requirements
    (LP: #199600)

 -- Kjell Braden <fnord@pentabarf.de>  Sun, 15 Jun 2008 16:27:38 +0200

aptoncd (0.1.98-0ubuntu1) hardy; urgency=low
  * Now the window title reflects the current mode (create/restore);
  * APTonCD/core/gui.py:
   - setting proper icon for question dialogs;
  * APTonCD/restore/restoreWindow.py:
   - remove the $TMP/aptoncd-mnt-image/ folder after umounting it;
  * data/glade/main_window.glade:
   - Changing Edit menu strings to have some consistency with the
     context menu strings;
  * Now users will be able to cancel creation progress
   - (except when making iso operation is in progress);
  * Check for avalilable space on tmp dir and destination dir before
    create the disk;
  * Added 'aptoncd' icon for dialog messages;
  * fixed a bug that caused an error when user doenst create a metapackage
    - closes LP:#154609;
  * Implemented --packages-list=FILE to imput the packages that will be
    listed in create mode;
  * Added a paramether --non-interactive to work together with
    --packages-list=FILE; 
  * Added the menu View > Columns, where user can show/hide the Size and
    Version column in packages list;
  * If no package were selected set the sensitive of the "Burn..." button
    to false until a package is selected;
  * Use a menu radio instead tabs for changing modes;
  * Define if a package is older comparing with the other with the same
    name in the list, not with the installed one;

 -- Rafael Proença <cypherbios@ubuntu.com>  Sat, 05 Jan 2008 21:19:45 -0300

aptoncd (0.1.97-0ubuntu1) gutsy; urgency=low
  * debian/control:
   - remove the mkisofs splict dependency, add genisoimage as alternative;
  * Usability improvements on main window;
  * Removed tabs; now the modes are switched in "Mode" menu;
  * PackagesList:
   - Compare if the package is older with the one with the same name in the list, not with the installed one;
   - Fixed GTK warings while [un]checking packages using the Edit menu;
  * updated translations:
   - de, el, es, fr, hr, nl, pl, pt_BR, sv

 -- Rafael Proença <cypherbios@ubuntu.com>  Mon, 10 Sep 2007 15:28:19 -0300

aptoncd (0.1.96-0ubuntu1) gutsy; urgency=low


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: aptoncd
 Section: admin
 Priority: extra
+XS-Python-Version: all
 Maintainer: Fabrice Coutadeur <coutadeurf@gmail.com>
 Build-Depends: debhelper (>= 5.0.51~)
-Build-Depends-Indep: python-distutils-extra, python-all (>= 2.6.6-3~)
+Build-Depends-Indep: python-distutils-extra, python-central (>= 0.5.6), python-all
 Standards-Version: 3.8.4
 Homepage: http://aptoncd.sourceforge.net
 
 Package: aptoncd
 Architecture: all
+XB-Python-Version: ${python:Versions}
 Recommends: k3b | brasero, yelp
 Suggests: update-notifier, gdebi
 Depends: ${python:Depends}, libgnomevfs2-0, genisoimage, apt-utils, synaptic (>= 0.57.7), python-gnome2, python-apt (>= 0.7.93), python-glade2, python-dbus, lsb-release, gksu, python-gtk2, gnome-icon-theme, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 include /usr/share/python/python.mk
 
 #export DH_VERBOSE=1
+export DH_PYCENTRAL=nomove
 CFLAGS = -Wall -g
 PYVERS=$(shell pyversions -vr)
 
@@ -42,18 +43,17 @@
 
 	dh_clean 
 
-install-python%:
-	python$* ./setup.py install --prefix=$(CURDIR)/debian/aptoncd/usr $(py_setup_install_args)
-
 install: build
 	dh_testdir
 	dh_testroot
 	dh_clean
 	dh_installdirs
 	cd $(CURDIR)/po; make update-po
-	$(MAKE) -f debian/rules $(PYVERS:%=install-python%)
+	python ./setup.py install --prefix=$(CURDIR)/debian/aptoncd/usr $(py_setup_install_args)
 	# Delete empty directories
-	rm -rf $(CURDIR)/debian/aptoncd/usr/share/help/*/aptoncd/figures/
+	rm -rf $(CURDIR)/debian/aptoncd/usr/share/gnome/help/aptoncd/C/figures/
+	rm -rf $(CURDIR)/debian/aptoncd/usr/share/omf/aptoncd
+	rm -rf $(CURDIR)/debian/aptoncd/usr/share/omf
 	
 binary-indep: build install
 	dh_icons
@@ -68,7 +68,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_python2
+	dh_pycentral
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
